function init()
	gun.name = "ExplosionWarpcore"
	gun.fireDelay = 50
	gun.shotrange = 80
	gun.shotspeed = 550
	gun.shotdamage = 4.5
	gun.shotknockback = 0--10000
	
	return 0
end

function update()
	return 0
end

function fire()
	--fire one big shot
	gun.addShot("point2.png", gun.firex, gun.firey, gun.firetheta)
	shot.scale = .5
	shot.speed = 0
	shot.durable = 1
	shot.lifetimer = 500
	
	shot.skipLuaUpdate = 0
	
	--fire a circle of shots
	--rad = 8				--the radius in number of shots
	--spread = 180			--the radius in degrees, centered on theta
	--for i = -rad, rad do
	--	gun.addShot("explode5.png", gun.firex, gun.firey, gun.firetheta)
	--	shot.damage = gun.shotdamage
	--	shot.movrot = gun.firetheta + i*(spread/rad)
	--	shot.setRange(gun.shotrange + math.random(-100, 100) )
	--	shot.scale = .5 + math.random()*2
	--	shot.durable = 1
	--	shot.clearIgnoreList()
	--end

	--playSFX(getSound("gun_pew1.wav"),owner.x,owner.y)

	return 0
end

function shot_update()
	--grows rapidly
	shot.scale = shot.scale + 2

	return 0
end